<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m230925_074317_add_columns_point_sale_active_button_generate_delivery_note
 */
class m230925_074317_add_columns_point_sale_active_button_generate_delivery_note extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('point_sale', 'button_generate_delivery_note_point_sale', Schema::TYPE_BOOLEAN.' DEFAULT 1');
        $this->addColumn('point_sale', 'button_generate_delivery_note_each_user', Schema::TYPE_BOOLEAN.' DEFAULT 1');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('point_sale', 'button_generate_delivery_note_point_sale');
        $this->dropColumn('point_sale', 'button_generate_delivery_note_each_user');
    }
}
